Page MenuHomePhabricator

Upgrade PostGIS on maps servers to version 2.2+
Closed, ResolvedPublic

Description

In order to use some newer functions like ST_RemoveRepeatedPoints() (for geoshape optimizations`, we need version 2.2.0+. Our current version -- SELECT PostGIS_full_version();

POSTGIS="2.1.4 r12966" GEOS="3.4.2-CAPI-1.8.2 r3921" PROJ="Rel. 4.8.0, 6 March 2012" GDAL="GDAL 1.10.1, released 2013/08/26" LIBXML="2.9.1" LIBJSON="UNKNOWN" RASTER

2.1.4 is over 2 years old - http://postgis.net/docs/release_notes.html#idm38514

Details

Related Gerrit Patches:

Event Timeline

Yurik created this task.Sep 5 2016, 5:58 PM
Restricted Application added a project: Discovery. · View Herald TranscriptSep 5 2016, 5:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yurik updated the task description. (Show Details)Sep 5 2016, 8:42 PM

postgis 2.3.0 is available in jessie backports. @Yurik the initial demand is to upgrade to postgis 2.2+, is 2.3.0 suitable as well?

Yurik added a comment.Oct 10 2016, 2:08 PM

Sure, thanks!

Mentioned in SAL (#wikimedia-operations) [2016-10-10T17:20:49Z] <gehel> upgraded maps1* to postgis 2.3.0 - T144763

Gehel added a comment.Oct 10 2016, 8:54 PM

manual upgrade done on maps1* for testing purpose (there is no user traffic on maps1*)

Gehel claimed this task.Oct 20 2016, 4:57 PM
Gehel added a project: Maps-Sprint.
Gehel moved this task from Backlog to In progress on the Maps-Sprint board.

Change 317494 had a related patch set uploaded (by Gehel):
postgis - upgrade to postgis 2.3

https://gerrit.wikimedia.org/r/317494

Gehel added a comment.Oct 24 2016, 1:34 PM

manual steps required after this upgrade:

  • cleanup of old postgis version
  • upgrade of postgis extension alter extension postgis update to '2.3.0';
  • reset of database permissions : /usr/local/bin/maps-grants.sql

Change 317494 merged by Gehel:
postgis - upgrade to postgis 2.3

https://gerrit.wikimedia.org/r/317494

Gehel closed this task as Resolved.Oct 24 2016, 2:05 PM

postgis is now upgraded on all maps servers.

jcrespo reopened this task as Open.Oct 24 2016, 3:19 PM
jcrespo added a subscriber: jcrespo.

This breaks labsdb1006 and labsdb1007. Yes, they are precise hosts:

Info: Sleeping for 52 seconds (splay is enabled)
Info: Retrieving plugin
Info: Loading facts in /var/lib/puppet/lib/facter/raid.rb
Info: Loading facts in /var/lib/puppet/lib/facter/puppet_vardir.rb
Info: Loading facts in /var/lib/puppet/lib/facter/ganeti.rb
Info: Loading facts in /var/lib/puppet/lib/facter/physicalcorecount.rb
Info: Loading facts in /var/lib/puppet/lib/facter/root_home.rb
Info: Loading facts in /var/lib/puppet/lib/facter/initsystem.rb
Info: Loading facts in /var/lib/puppet/lib/facter/apt.rb
Info: Loading facts in /var/lib/puppet/lib/facter/lldp.rb
Info: Loading facts in /var/lib/puppet/lib/facter/puppet_config_dir.rb
Info: Loading facts in /var/lib/puppet/lib/facter/pe_version.rb
Info: Loading facts in /var/lib/puppet/lib/facter/labsprojectfrommetadata.rb
Info: Loading facts in /var/lib/puppet/lib/facter/lvm_support.rb
Info: Caching catalog for labsdb1006.eqiad.wmnet
Info: Applying configuration version '1477319941'
Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install postgresql-9.1-postgis-scripts' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
E: Unable to locate package postgresql-9.1-postgis-scripts
E: Couldn't find any package by regex 'postgresql-9.1-postgis-scripts'

Error: /Stage[main]/Postgresql::Postgis/Package[postgresql-9.1-postgis-scripts]/ensure: change from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install postgresql-9.1-postgis-scripts' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
E: Unable to locate package postgresql-9.1-postgis-scripts
E: Couldn't find any package by regex 'postgresql-9.1-postgis-scripts'
Gehel added a comment.Oct 24 2016, 3:20 PM

Damn, sorry for the noise. Patch coming up.

Change 317527 had a related patch set uploaded (by Gehel):
postgis - postgis scripts package does not exist for precise

https://gerrit.wikimedia.org/r/317527

Change 317527 merged by Gehel:
postgis - postgis scripts package does not exist for precise

https://gerrit.wikimedia.org/r/317527

Gehel closed this task as Resolved.Oct 25 2016, 9:28 AM

issue on labsdb100[67] is now fixed, closing this again (hopefully for good).